libfreehand::FHBoundingBox Struct Reference documentation

libfreehand::FHBoundingBox Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHBoundingBox ()
| FHBoundingBox (const FHBoundingBox &bBox)
void | merge (const FHBoundingBox &bBox)
bool | isValid () const

## Public Attributes
double | m_xmin
double | m_ymin
double | m_xmax
double | m_ymax

## Constructor & Destructor Documentation

## ◆ FHBoundingBox() [1/2]

libfreehand::FHBoundingBox::FHBoundingBox | ( |  | ) |
| inline

Referenced by FHBoundingBox(), and merge().

## ◆ FHBoundingBox() [2/2]

libfreehand::FHBoundingBox::FHBoundingBox | ( | const FHBoundingBox & | bBox | ) |
| inline

## Member Function Documentation

## ◆ isValid()

bool libfreehand::FHBoundingBox::isValid | ( |  | ) | const
| inline

Referenced by libfreehand::FHCollector::_appendTileFill().

## ◆ merge()

void libfreehand::FHBoundingBox::merge | ( | const FHBoundingBox & | bBox | ) |
| inline

Referenced by libfreehand::FHCollector::_getBBofClipGroup(), libfreehand::FHCollector::_getBBofCompositePath(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofGroup(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofSomething(), libfreehand::FHCollector::_getBBofSymbolInstance(), and libfreehand::FHCollector::_getBBofTextObject().

## Member Data Documentation

## ◆ m_xmax

double libfreehand::FHBoundingBox::m_xmax

Referenced by libfreehand::FHCollector::_appendArrowPath(), libfreehand::FHCollector::_appendTileFill(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputPath(), libfreehand::FHCollector::_outputTextObject(), FHBoundingBox(), FHBoundingBox(), isValid(), and merge().

## ◆ m_xmin

double libfreehand::FHBoundingBox::m_xmin

Referenced by libfreehand::FHCollector::_appendArrowPath(), libfreehand::FHCollector::_appendTileFill(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputPath(), libfreehand::FHCollector::_outputTextObject(), FHBoundingBox(), FHBoundingBox(), isValid(), and merge().

## ◆ m_ymax

double libfreehand::FHBoundingBox::m_ymax

Referenced by libfreehand::FHCollector::_appendArrowPath(), libfreehand::FHCollector::_appendTileFill(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputPath(), libfreehand::FHCollector::_outputTextObject(), FHBoundingBox(), FHBoundingBox(), isValid(), and merge().

## ◆ m_ymin

double libfreehand::FHBoundingBox::m_ymin

Referenced by libfreehand::FHCollector::_appendArrowPath(), libfreehand::FHCollector::_appendTileFill(), libfreehand::FHCollector::_getBBofDisplayText(), libfreehand::FHCollector::_getBBofImageImport(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputPath(), libfreehand::FHCollector::_outputTextObject(), FHBoundingBox(), FHBoundingBox(), isValid(), and merge().

The documentation for this struct was generated from the following file:

- FHTypes.h